<?php

namespace Planaday\Entities\Booking\Form\DayParts;

use Planaday\Config\OptionGroupEnum;
use Planaday\Entities\Booking\Form\BookingFormSettingsEnum;

enum DayPartsSettingsEnum: string implements OptionGroupEnum {
	case Title = "title";
	case ShowPrice = "showPrice";
	case OnlyShowPriceIfPerDayPart = "onlyShowPriceIfPerDayPart";
	case ShowPriceWithAndWithoutTax = "showPriceWithAndWithoutTax";
	case ShowDate = "showDate";
	case ShowTime = "showTime";
	case ShowLocation = "showLocation";

	public static function getClassName(): string {
		return DayPartsSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingFormSettingsEnum::DayParts;
	}
}